package com.iamberry.wechat.service.product;

import com.iamberry.wechat.core.entity.product.AccessFlow;
import com.iamberry.wechat.face.porduct.AccessFlowService;
import com.iamberry.wechat.service.mapper.AccessFlowMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  接口
 * @author Administrator
 * @Date 2018-07-18
 */
@Service
public class AccessFlowServiceImpl  implements AccessFlowService {
    @Autowired
    private AccessFlowMapper accessFlowMapper;
    /**
     * 获取集合
     * @param  accessFlow
     * @return List
     */
    @Override
    public List<AccessFlow> getAccessFlowList(AccessFlow  accessFlow){
        return  accessFlowMapper.getAccessFlowList(accessFlow);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  accessFlow
     */
    @Override
    public  AccessFlow  getAccessFlowById(Integer  id){
        return  accessFlowMapper.getAccessFlowById(id);
    }
    /**
     * 增加数据
     * @param  accessFlow
     * @return Integer
     */
    @Override
    public  Integer  save(AccessFlow  accessFlow){
        return  accessFlowMapper.save(accessFlow);
    }
    /**
     * 修改数据
     * @param  accessFlow
     * @return Integer
     */
    @Override
    public  Integer  update(AccessFlow  accessFlow){
        return  accessFlowMapper.update(accessFlow);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  accessFlowMapper.delete(id);
    }
}